player = {}

function player.load()

	--POSITION INITIALIZATION
	player.x = screen_w / 2
	player.y = screen_h / 2

	--PARAMETERS
	player.w = 16
	player.h = 16

	player.speed = 100

end

function player.draw()

	love.graphics.setColor(255, 100, 100, 150)
	love.graphics.rectangle("fill", player.x, player.y, player.w, player.h)
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.rectangle("line", player.x, player.y, player.w, player.h)

end

function player.update(dt)
	--SHORTCUTS
	local k_down = love.keyboard.isDown

	if k_down("up") then
		local next_y = player.y - player.speed * dt
		if not cannot_pass(player.x, next_y) then player.y = next_y end
	end

	if k_down("down") then
		local next_y = player.y + player.speed * dt
		if not cannot_pass(player.x, next_y) then player.y = next_y end
	end

	if k_down("left") then
		local next_x = player.x - player.speed * dt
		if not cannot_pass(next_x, player.y) then player.x = next_x end
	end

	if k_down("right") then
		local next_x = player.x + player.speed * dt
		if not cannot_pass(next_x, player.y) then player.x = next_x end
	end
	
end

function cannot_pass(x, y)
	for i = 1, #stage.dims do
		if x + player.w >= stage.dims[i][1] and
			x <= stage.dims[i][1] + stage.w and
			y + player.h >= stage.dims[i][2] and
			y <= stage.dims[i][2] + stage.h then
			return true
		end
	end

	return false
end