stage = {}

function stage.load()

	stage.w, stage.h = 32, 32
	stage.outline = {
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 1, 1, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 1, 0, 1},
	{1, 0, 0, 0, 0, 0, 1, 1, 1, 1},
	{1, 0, 0, 1, 0, 0, 0, 1, 0, 1},
	{1, 1, 1, 1, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1}
	}
	
	stage.dims = {} --dims is short for dimensions
	for i = 1, #stage.outline do
		for ii = 1, #stage.outline[i] do --have to loop through the map to get the tiles.
			if stage.outline[i][ii] ~= 0 then --as opposed to checking for all collidable tiles, it would be more more time efficient to check for those you don't collide with
				table.insert( stage.dims, { ii * 32 - 32, i * 32 - 32 } ) --gets x and y of coordinates. I assume the tiles are 32 wide and high
			end
		end
	end
end

function stage.draw()
	local lgr = love.graphics.rectangle
	local lgc = love.graphics.setColor
	local L, F = "line", "fill"

	for grid_y, a in ipairs(stage.outline) do
		for grid_x, tile_n in ipairs(a) do
			if tile_n == 1 then

				lgc(100, 255, 255, 100)

				lgr(F, (grid_x - 1) * stage.w,
					(grid_y - 1) * stage.h,
					stage.w, stage.h)

				lgc(255, 255, 255, 255)
				lgr(L, (grid_x - 1) * stage.w,
					(grid_y - 1) * stage.h,
					stage.w, stage.h)
			end
		end
	end
end